Skip to main content
POST
/
v2
/
taxconfiguration
/
save
Batch saves the entire tax configuration in a single transaction. Zones with an Id are updated, zones without an Id are created, and zones in the database but not in the list are deleted.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/taxconfiguration/save \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "taxZones": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "name": "<string>",
      "departureCountryIso": "<string>",
      "countries": [
        {
          "countryIso": "<string>",
          "stateCode": "<string>"
        }
      ],
      "taxRates": [
        {
          "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "vatRate": 123,
          "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "intraCommunityDeliveryTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "exemptFromVatNotEuTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "reverseChargeTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "taxRateAssignments": [
            {
              "productGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
              "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
              "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
              "intraCommunityDeliveryTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
              "exemptFromVatNotEuTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
              "reverseChargeTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
            }
          ]
        }
      ]
    }
  ]
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Batch saves the entire tax configuration in a single transaction. Zones with an Id are updated, zones without an Id are created, and zones in the database but not in the list are deleted. - Request

taxZones
object[]

The complete list of tax zones representing the desired state. The system will diff this against the current database state and derive create, update, and delete operations.

Response

200 - application/json

Tax configuration was successfully saved.